Campaigns

GET /public/v1/campaigns/{campaignId}/prospects

List prospects in a campaign with filtering and pagination. Workspace admins and owners can access campaigns created on behalf of other workspace members.

GET /public/v1/campaigns/{campaignId}/prospects

GET /public/v1/campaigns/{campaignId}/prospects

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/campaigns/{CAMPAIGNID}/prospects' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "prospects": [
      {
        "campaign_id": "<string>",
        "campaign_name": "<string>",
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "linkedin_public_id": "<string>",
        "profile_picture": "<string>",
        "sub_title": "<string>",
        "company_name": "<string>",
        "company_website": "<string>",
        "company_logo": "<string>",
        "current_position_title": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • campaignId string required

Query Parameters

  • limit number
  • offset number
  • search string
  • sort string
  • status string

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • prospects[] object array
      + Show Child Attributes
      • campaign_id string
      • campaign_name string
      • id string
      • first_name string nullable
      • last_name string nullable
      • linkedin_public_id string nullable
      • profile_picture string nullable
      • sub_title string nullable
      • company_name string nullable
      • company_website string nullable
      • company_logo string nullable
      • current_position_title string nullable
      • email string nullable
      • phone_number string nullable
      • city string nullable
      • state string nullable
      • country string nullable
      • industry string nullable
      • status string
      • interest_level string nullable
      • icp_fit string nullable
      • icp_fit_justification string nullable
      • accepted_connection_request boolean
      • responded boolean
      • created_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean